Skip to main content

Get prices as of X hours ago

GET 

/v1/data/prices/latest-asof

Returns prices at an effective cutoff time computed as asOf − hoursAgo.

Plain-text reference — GET /v1/data/prices/latest-asof

Parameters

ParameterInTypeRequiredDescription
hoursAgoquerynumberyesNon-negative number of hours in the past
asOfquerystringnoISO date anchor; defaults to now
assetGroupsquerystring[]noAsset group keys (repeatable)

Response 200

FieldTypeDescription
successTrue
dataobject
data.asOfstringTimestamp the data was measured at.
data.countintegerNumber of entries in items.
data.itemsobjectMap of asset_group → priceUsd
data.debugobject
data.debug.rowsobject[]
actionsnull

Example response

{
"success": true,
"data": {
"asOf": "2026-01-01T00:00:00Z",
"count": 1,
"items": {
"USDC": 1.0001,
"WBTC": 67432.12
},
"debug": {
"rows": [
{}
]
}
}
}

Request

Responses

Prices at the effective cutoff time